Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 14/07/2007, à 15:46

zedtux

[tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Salut à tous !

je vient de tomber sur cette news sur le planet d'ubuntu-fr.org.
C'est une simulateur d'avion radio commandé.

Il y a un paquet deb dispo, mais pour 32bits.
Donc, on va compiler les sources pour obtenir ca :
index.php?n=CRRCsim.CrrcsimScreenshots?action=download&upname=crrcsim_allegro.jpg

Pour commencer, récupérer le code source : http://prdownloads.sourceforge.net/crrcsim/crrcsim-src-0.9.9.tar.gz?download

Extraire l'archive, puis ouvrir un terminal dans ce dossier.

Pour commencer, faut installer les dépendances, pour ce faire :

sudo apt-get install libgle3-dev libportaudio-dev libsdl1.2-dev libglu1-mesa-dev

Maintenant, suffit de faire le traditionnel

make && sudo make install

Et voila ! wink

Pour le lance :

crrcsim

RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#2 Le 15/07/2007, à 10:23

mars074

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

salut,

j viens de l'installer, mais ça marche pas avec un joypad basic?

Hors ligne

#3 Le 15/07/2007, à 15:25

brakbabord

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Ben il n'y aucune difficulté spéciale pour le compiler, c'est la procédure classique, non ?
installer les dépendances (qui sont indiquées par le ./configure), ./configure, make et make install (ou checkinstall pour les plus pointilleux)

Hors ligne

#4 Le 05/08/2007, à 12:06

F4EYE

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Où peut on trouver des decors supplémentaire ?
Si cela existe quelle est la procedure pour les installer ?
merci

Hors ligne

#5 Le 24/02/2008, à 18:41

petartiste

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Un débutant qui pointe son nez... Merci à celui qui prendra le temps de me faire progresser.
Linuxien convaincu pour le fiabilité du système, j'aimerai vraiment installer un simulateur de vol radiocommandé. (d'ailleurs en connaissez vous un autre qui tourne sur Ubuntu ?)

Concernant l'installation de CRRCSim:
J'ai bien téléchargé le fichier crrcsim-src-0.9.8.tar-1 et je l'ai mis dans le répertoire Simulateur que j'ai créé.
Sous Simulateur, j'ai tapé  sudo apt-get install libgle3-dev libportaudio-dev comme indiqué.
Le système a mouliné et apparament tout s'est bien passé car je n'ai pas eu de message d'erreur.
Je ne sais pas où se sont installées les librairies car sous Simulateur je n'ai toujours qu'un seul fichier: le fichier crrcsim-src-0.9.8.tar-1

Après cela, si je tape  make && sudo make install comme indiqué, j'ai le message d'erreur: make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.
Quelqu'un peut-il me faire le détail de ce que signifie make && sudo make install.

Merci mille fois par avance.

#6 Le 13/05/2008, à 08:16

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Désolé pour le délai...

Lorsque tu as fait le sudo apt-get ... c'est tout à fait normal que tu n'ai pas plus de fichiers car les fichiers installé sont des librairies et elles sont installé dans /lib et /usr/lib.
Mais ces fichiers là, toi, tu te contente de les installer ( comme tu as fais ) et c'est tout.

Ton erreur est du au fait que tu n'as pas décompressé l'archive.
Il faut que tu décompresse l'archive, et que tu ouvre un terminal dans ce dossier. Et là make fonctionnera.


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#7 Le 04/01/2009, à 15:41

maxime75

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Bonjour, j'ai un petit problème, je n'arrive pas à installer CRRCSIM:
Le terminal m'affiche ça :

maxime@ordinateur-maxime:~$ cd /home/maxime/crrcsim-0.9.8
maxime@ordinateur-maxime:~/crrcsim-0.9.8$ sudo apt-get install libgle3-dev libportaudio-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgle3-dev est déjà la plus récente version disponible.
libportaudio-dev est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  wavpack sharutils debootstrap bochsbios mppenc libsvga1 mplayer
  libavdevice52 mp3gain vorbisgain speex vde2 mplayer-skins faad libggi2
  libgii1 vgabios icedax ffmpeg flac libgii1-target-x libvdemgmt0 timidity
  libggi-target-x bridge-utils libvdeplug2
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 21 non mis à jour.
maxime@ordinateur-maxime:~/crrcsim-0.9.8$ make && sudo make install
--- Compiling fdm.cpp
/bin/sh: sdl-config: not found
In file included from include_gl.h:27,
                 from crrc_scenery.h:31,
                 from fdm.cpp:7:
./glut-3.7/include/GL/glut.h:59:20: error: GL/glu.h: Aucun fichier ou dossier de ce type
In file included from crrc_scenery.h:33,
                 from fdm.cpp:7:
crrc_sky.h:8:21: error: plib/sg.h: Aucun fichier ou dossier de ce type
crrc_sky.h:9:22: error: plib/ssg.h: Aucun fichier ou dossier de ce type
crrc_sky.h:10:26: error: plib/ssgaSky.h: Aucun fichier ou dossier de ce type
In file included from crrc_scenery.h:33,
                 from fdm.cpp:7:
crrc_sky.h:32: erreur: ‘sgVec3’ has not been declared
crrc_sky.h:52: erreur: ISO C++ forbids declaration of ‘ssgRoot’ with no type
crrc_sky.h:52: erreur: expected ‘;’ before ‘*’ token
crrc_sky.h:53: erreur: ISO C++ forbids declaration of ‘ssgTransform’ with no type
crrc_sky.h:53: erreur: expected ‘;’ before ‘*’ token
crrc_sky.h:64: erreur: ‘sgVec3’ has not been declared
crrc_sky.h:116: erreur: ISO C++ forbids declaration of ‘ssgRoot’ with no type
crrc_sky.h:116: erreur: expected ‘;’ before ‘*’ token
In file included from fdm.cpp:7:
crrc_scenery.h:91: erreur: ‘sgVec3’ has not been declared
crrc_scenery.h:241: erreur: ISO C++ forbids declaration of ‘GLUquadricObj’ with no type
crrc_scenery.h:241: erreur: expected ‘;’ before ‘*’ token
make: *** [out/fdm.o] Erreur 1
maxime@ordinateur-maxime:~/crrcsim-0.9.8$ crrcsim
bash: crrcsim : commande introuvable
maxime@ordinateur-maxime:~/crrcsim-0.9.8$

Merci de m'aider wink

Hors ligne

#8 Le 04/01/2009, à 15:59

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Salut.

Tu n'as pas de script configure à exécuter avant le make ?

Pour les erreurs de compilation, installe le paquet libglu1-mesa-dev wink


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#9 Le 04/01/2009, à 16:58

maxime75

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Euh,... ??? En VF ça donne quoi?
Non plus sérieusement je suis encore en phase de découverte de Ubuntu. J'ai installé le paquet libglu1-mesa-dev mais ça ne change rien :

maxime@ordinateur-maxime:~$ cd /home/maxime/crrcsim-0.9.8
maxime@ordinateur-maxime:~/crrcsim-0.9.8$ sudo apt-get install libgle3-dev libportaudio-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgle3-dev est déjà la plus récente version disponible.
libportaudio-dev est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  wavpack sharutils debootstrap bochsbios mppenc libsvga1 mplayer
  libavdevice52 mp3gain vorbisgain speex vde2 mplayer-skins faad libggi2
  libgii1 vgabios icedax ffmpeg flac libgii1-target-x libvdemgmt0 timidity
  libggi-target-x bridge-utils libvdeplug2
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 21 non mis à jour.
maxime@ordinateur-maxime:~/crrcsim-0.9.8$ make && sudo make install
--- Compiling fdm.cpp
/bin/sh: sdl-config: not found
In file included from crrc_scenery.h:33,
                 from fdm.cpp:7:
crrc_sky.h:8:21: error: plib/sg.h: Aucun fichier ou dossier de ce type
crrc_sky.h:9:22: error: plib/ssg.h: Aucun fichier ou dossier de ce type
crrc_sky.h:10:26: error: plib/ssgaSky.h: Aucun fichier ou dossier de ce type
In file included from crrc_scenery.h:33,
                 from fdm.cpp:7:
crrc_sky.h:32: erreur: ‘sgVec3’ has not been declared
crrc_sky.h:52: erreur: ISO C++ forbids declaration of ‘ssgRoot’ with no type
crrc_sky.h:52: erreur: expected ‘;’ before ‘*’ token
crrc_sky.h:53: erreur: ISO C++ forbids declaration of ‘ssgTransform’ with no type
crrc_sky.h:53: erreur: expected ‘;’ before ‘*’ token
crrc_sky.h:64: erreur: ‘sgVec3’ has not been declared
crrc_sky.h:116: erreur: ISO C++ forbids declaration of ‘ssgRoot’ with no type
crrc_sky.h:116: erreur: expected ‘;’ before ‘*’ token
In file included from fdm.cpp:7:
crrc_scenery.h:91: erreur: ‘sgVec3’ has not been declared
make: *** [out/fdm.o] Erreur 1
maxime@ordinateur-maxime:~/crrcsim-0.9.8$

Merci pour ton aide

Dernière modification par maxime75 (Le 04/01/2009, à 17:03)

Hors ligne

#10 Le 04/01/2009, à 19:43

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Comment ca ca change rien !!??
T'as moins d'erreur !! tongue

Aller installe le paquet libsdl1.2-dev et dis nous si ca va mieux ! wink


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#11 Le 04/01/2009, à 19:52

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Précisions:

Pour ceux qui voudraient compilé la dernière version: 0.9.9, il vous faudra le paquet plib1.8.4-dev et si vous désirez avoir le son ( ce qui est mieux ma fois ), il vous faudra le paquet libportaudio-dev cool


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#12 Le 04/01/2009, à 20:25

maxime75

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Euh alors :

maxime@ordinateur-maxime:~$ cd /home/maxime/crrcsim-0.9.8
maxime@ordinateur-maxime:~/crrcsim-0.9.8$ sudo apt-get install libgle3-dev libportaudio-dev
[sudo] password for maxime: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgle3-dev est déjà la plus récente version disponible.
libportaudio-dev est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  wavpack sharutils debootstrap bochsbios mppenc libsvga1 mplayer
  libavdevice52 mp3gain vorbisgain speex vde2 mplayer-skins faad libggi2
  libgii1 vgabios icedax ffmpeg flac libgii1-target-x libvdemgmt0 timidity
  libggi-target-x bridge-utils libvdeplug2
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
maxime@ordinateur-maxime:~/crrcsim-0.9.8$ make && sudo make install
--- Compiling fdm.cpp
In file included from crrc_scenery.h:33,
                 from fdm.cpp:7:
crrc_sky.h:8:21: error: plib/sg.h: Aucun fichier ou dossier de ce type
crrc_sky.h:9:22: error: plib/ssg.h: Aucun fichier ou dossier de ce type
crrc_sky.h:10:26: error: plib/ssgaSky.h: Aucun fichier ou dossier de ce type
In file included from crrc_scenery.h:33,
                 from fdm.cpp:7:
crrc_sky.h:32: erreur: ‘sgVec3’ has not been declared
crrc_sky.h:52: erreur: ISO C++ forbids declaration of ‘ssgRoot’ with no type
crrc_sky.h:52: erreur: expected ‘;’ before ‘*’ token
crrc_sky.h:53: erreur: ISO C++ forbids declaration of ‘ssgTransform’ with no type
crrc_sky.h:53: erreur: expected ‘;’ before ‘*’ token
crrc_sky.h:64: erreur: ‘sgVec3’ has not been declared
crrc_sky.h:116: erreur: ISO C++ forbids declaration of ‘ssgRoot’ with no type
crrc_sky.h:116: erreur: expected ‘;’ before ‘*’ token
In file included from fdm.cpp:7:
crrc_scenery.h:91: erreur: ‘sgVec3’ has not been declared
make: *** [out/fdm.o] Erreur 1
maxime@ordinateur-maxime:~/crrcsim-0.9.8$

Je n'ai plus de paquets non mis à jour big_smile
Par contre j'ai toujours ce p****ain de fichier crrc_sky qui fait ch**r  tongue

Dernière modification par maxime75 (Le 04/01/2009, à 20:28)

Hors ligne

#13 Le 05/01/2009, à 10:29

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Lis mes poste ... roll


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#14 Le 05/01/2009, à 22:27

maxime75

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Désolé Zedtux, mais la je suis vraiment perdu :
Tes post (mis à part le premier) parlent de la version 0.9.9 or j'essaye d'installer la 0.9.8
Par contre encore une amélioration : je n'ai plus qu'une seule erreur :

maxime@ordinateur-maxime:~$ cd /home/maxime/Documents/reste/crrcsim-0.9.8
maxime@ordinateur-maxime:~/Documents/reste/crrcsim-0.9.8$ sudo apt-get install libgle3-dev libportaudio-dev libsdl1.2-dev libglu1-mesa-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgle3-dev est déjà la plus récente version disponible.
libportaudio-dev est déjà la plus récente version disponible.
libsdl1.2-dev est déjà la plus récente version disponible.
libglu1-mesa-dev est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 3 non mis à jour.
maxime@ordinateur-maxime:~/Documents/reste/crrcsim-0.9.8$ make && sudo make install
--- Compiling power/battery.cpp
power/battery.cpp: In constructor ‘Power::Battery::Battery(SimpleXMLTransfer*)’:
power/battery.cpp:41: erreur: ‘atof’ was not declared in this scope
make: *** [out/power/battery.o] Erreur 1

Merci beaucoup de ta patience avec moi et encore désolé, mais la je n'y arrive absolument pas

Hors ligne

#15 Le 06/01/2009, à 08:50

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Cette erreur est une erreur de développement.

A moins que tu ne développe ( dans ce cas je te redirige vers cette page: http://www.cplusplus.com/reference/clibrary/cstdlib/atof.html ), sinon passe à la 0.9.9 qui ne m'as posé aucun soucis à la compilation.


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#16 Le 06/01/2009, à 19:53

maxime75

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Ben en fait, si j'essayais avec la 0.9.8, c'est que la 0.9.9 ne fonctionne pas du tout : (dernière ligne)

maxime@ordinateur-maxime:~$ sudo apt-get install plib1.8.4-dev
[sudo] password for maxime: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés : 
  freeglut3-dev
Les NOUVEAUX paquets suivants seront installés :
  freeglut3-dev plib1.8.4-dev
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0o/1138ko dans les archives.
Après cette opération, 4944ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? O
Sélection du paquet freeglut3-dev précédemment désélectionné.
(Lecture de la base de données... 177440 fichiers et répertoires déjà installés.)
Dépaquetage de freeglut3-dev (à partir de .../freeglut3-dev_2.4.0-6.1_amd64.deb) ...
Sélection du paquet plib1.8.4-dev précédemment désélectionné.
Dépaquetage de plib1.8.4-dev (à partir de .../plib1.8.4-dev_1.8.4-9_amd64.deb) ...
Paramétrage de freeglut3-dev (2.4.0-6.1) ...
Paramétrage de plib1.8.4-dev (1.8.4-9) ...
maxime@ordinateur-maxime:~$ sudo apt-get install libportaudio-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libportaudio-dev est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
maxime@ordinateur-maxime:~$ sudo apt-get install libsdl1.2-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libsdl1.2-dev est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
maxime@ordinateur-maxime:~$ sudo apt-get install libgle3-dev libportaudio-dev libsdl1.2-dev libglu1-mesa-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgle3-dev est déjà la plus récente version disponible.
libportaudio-dev est déjà la plus récente version disponible.
libsdl1.2-dev est déjà la plus récente version disponible.
libglu1-mesa-dev est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
maxime@ordinateur-maxime:~$ cd /home/maxime/Documents/reste/crrcsim-0.9.9
maxime@ordinateur-maxime:~/Documents/reste/crrcsim-0.9.9$ make && sudo make install
make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.
maxime@ordinateur-maxime:~/Documents/reste/crrcsim-0.9.9$

(je précise que j'ai bien décompressé l'archive)

Hors ligne

#17 Le 06/01/2009, à 21:25

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Pardon ......... La version 0.9.9 utilise les autotools...
T'as pas de chance ... LOL


Bon aller :

sudo apt-get install autoconf

Puis dans le dossier :

./autogen
./configure
make
sudo make install

RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#18 Le 06/01/2009, à 22:51

maxime75

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Merci beaucoup ça marche nickel, merci encore zedtux
Juste une dernière question : quels sont les controles au clavier (piloter une zaggi avec la souris est comment dire, suicidaire big_smile ). J'ai la profondeur avec les fléches haut et bas, mais les ailerons, où sont-ils?
Merci beaucoup en tout cas

Dernière modification par maxime75 (Le 06/01/2009, à 23:54)

Hors ligne

#19 Le 07/01/2009, à 08:31

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Heu .... utilise le menu ? big_smile

J'ai testé 5 min... et j'ai tout fais à la souris.
De base, le jeu fonctionne qu'à la souris. Il faut absolument changer les configuration pour utiliser le clavier à la place de la souris...

Mais a mon avis .... il vaut mieux utiliser la souris !
Si tu veux juste fais un légé virage ... au clavier tu sera de 0% à 100% ( 0 1 )...
A moins que tu mette de l'expo .... hmm


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#20 Le 02/03/2009, à 20:03

peris

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

bonjour
j'ai installer crrcsim qui fonctionne tres mal
je voudrai le desinstaller que faut il que face
je suis debutant sur ubuntu
merci

Hors ligne

#21 Le 24/09/2010, à 16:40

pookye

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Bonjour,

Je viens d'essayer d'installer crrcsim comme indiqué, en le compilant...
et a la commande configure, j'obtiens ceci :


root@Pook:/home/pookye/crrcsim/crrcsim-0.9.10# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl.exe... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking for C++ compiler default output file name...
configure: error: in `/home/pookye/crrcsim/crrcsim-0.9.10':
configure: error: C++ compiler cannot create executables
See `config.log' for more détails.

Pour info je suis utilisateur de ubuntu depuis un petit moment, mais pour l'instant, je suis toujours passé par des .deb....
C'est ma première compilation !!

Merci !!

Hors ligne

#22 Le 24/09/2010, à 16:45

zedtux

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Salut, essaie d'installer le paquet build-essential wink

Je vais regarder pour te faire un petit paquet si tu veux.
Es tu en 64 bits ? (Dans un terminal: uname -a)


RECOLLER VOS FICHIERS XTM AVEC TUXTREMSPLIT !!
Adhérant April numéro 4985 [Rejoindre l'April moi aussi !].

Hors ligne

#23 Le 24/09/2010, à 17:03

pookye

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Pour info, lors de l'installation de dépendances, ca a donné ceci :

DEPENDANCE POUR CRRCSIM

commande effectué :
"sudo apt-get install libgle3-dev libportaudio-dev libsdl1.2-dev libglu1-mesa-dev"

d ou affichage de :

root@Pook:/home/pookye# sudo apt-get install libgle3-dev libportaudio-dev libsdl1.2-dev libglu1-mesa-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libglu1-mesa-dev est déjà la plus récente version disponible.
libglu1-mesa-dev passé en « installé manuellement ».
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libglade2-ruby1.8 libgconf2-ruby libatk1-ruby1.8 xdotool libglade2-ruby
  libgnome2-ruby1.8 libparted0 ruby1.8 libgnomecanvas2-ruby1.8 ruby
  gnome-splashscreen-manager libgnome2-ruby libgconf2-ruby1.8 libglib2-ruby1.8
  libcairo-ruby1.8 libgdk-pixbuf2-ruby1.8 libdb4.7 libart2-ruby1.8
  libgtk2-ruby1.8 libruby1.8 libgtkglext1 libetpan13 libpango1-ruby1.8
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  libaa1-dev libasound2-dev libaudio-dev libaudiofile-dev libavahi-client-dev
  libavahi-common-dev libcaca-dev libdbus-1-dev libdirectfb-dev
  libdirectfb-extra libesd0-dev libfreetype6-dev libgle3 libglib2.0-dev
  libjpeg62-dev libncurses5-dev libpng12-dev libportaudio0 libpulse-dev
  libslang2-dev libsysfs-dev zlib1g-dev
Paquets suggérés :
  libasound2-doc gle-doc libglib2.0-doc python-subunit libportaudio-doc
Les NOUVEAUX paquets suivants seront installés :
  libaa1-dev libasound2-dev libaudio-dev libaudiofile-dev libavahi-client-dev
  libavahi-common-dev libcaca-dev libdbus-1-dev libdirectfb-dev
  libdirectfb-extra libesd0-dev libfreetype6-dev libgle3 libgle3-dev
  libglib2.0-dev libjpeg62-dev libncurses5-dev libpng12-dev libportaudio-dev
  libportaudio0 libpulse-dev libsdl1.2-dev libslang2-dev libsysfs-dev
  zlib1g-dev
0 mis à jour, 25 nouvellement installés, 0 à enlever et 24 non mis à jour.
Il est nécessaire de prendre 8 668ko dans les archives.
Après cette opération, 34,5Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? O
Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ lucid/main zlib1g-dev 1:1.2.3.3.dfsg-15ubuntu1 [162kB]
Réception de : 2 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main libpng12-dev 1.2.42-1ubuntu2.1 [262kB]
Réception de : 3 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libslang2-dev 2.2.2-2ubuntu1 [534kB]
Réception de : 4 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libncurses5-dev 5.7+20090803-2ubuntu3 [1 564kB]
Réception de : 5 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libaa1-dev 1.4p5-38build1 [139kB]
Réception de : 6 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libasound2-dev 1.0.22-0ubuntu7 [508kB]
Réception de : 7 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libaudiofile-dev 0.2.6-8ubuntu1 [122kB]
Réception de : 8 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libavahi-common-dev 0.6.25-1ubuntu6 [67,1kB]
Réception de : 9 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libdbus-1-dev 1.2.16-2ubuntu4 [25,3kB]
Réception de : 10 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libavahi-client-dev 0.6.25-1ubuntu6 [34,5kB]
Réception de : 11 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libcaca-dev 0.99.beta16-3 [745kB]
Réception de : 12 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libdirectfb-extra 1.2.8-5ubuntu2 [32,8kB]
Réception de : 13 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main libfreetype6-dev 2.3.11-1ubuntu2.2 [705kB]
Réception de : 14 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libjpeg62-dev 6b-15ubuntu1 [188kB]
Réception de : 15 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libsysfs-dev 2.1.0-6 [34,6kB]
Réception de : 16 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libdirectfb-dev 1.2.8-5ubuntu2 [818kB]
Réception de : 17 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libesd0-dev 0.2.41-6ubuntu1 [26,5kB]
Réception de : 18 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libgle3 3.1.0-7 [42,8kB]
Réception de : 19 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libgle3-dev 3.1.0-7 [67,2kB]
Réception de : 20 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main libglib2.0-dev 2.24.1-0ubuntu1 [1 123kB]
Réception de : 21 http://fr.archive.ubuntu.com/ubuntu/ lucid/universe libportaudio0 18.1-7.1 [16,8kB]
Réception de : 22 http://fr.archive.ubuntu.com/ubuntu/ lucid/universe libportaudio-dev 18.1-7.1 [21,1kB]
Réception de : 23 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libpulse-dev 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 [65,8kB]
Réception de : 24 http://fr.archive.ubuntu.com/ubuntu/ lucid/main libaudio-dev 1.9.2-3 [515kB]
Réception de : 25 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main libsdl1.2-dev 1.2.14-4ubuntu1.1 [848kB]
8 668ko réceptionnés en 10s (800ko/s)                                         
Sélection du paquet zlib1g-dev précédemment désélectionné.
(Lecture de la base de données... 207209 fichiers et répertoires déjà installés.)
Dépaquetage de zlib1g-dev (à partir de .../zlib1g-dev_1%3a1.2.3.3.dfsg-15ubuntu1_i386.deb) ...
Sélection du paquet libpng12-dev précédemment désélectionné.
Dépaquetage de libpng12-dev (à partir de .../libpng12-dev_1.2.42-1ubuntu2.1_i386.deb) ...
Sélection du paquet libslang2-dev précédemment désélectionné.
Dépaquetage de libslang2-dev (à partir de .../libslang2-dev_2.2.2-2ubuntu1_i386.deb) ...
Sélection du paquet libncurses5-dev précédemment désélectionné.
Dépaquetage de libncurses5-dev (à partir de .../libncurses5-dev_5.7+20090803-2ubuntu3_i386.deb) ...
Sélection du paquet libaa1-dev précédemment désélectionné.
Dépaquetage de libaa1-dev (à partir de .../libaa1-dev_1.4p5-38build1_i386.deb) ...
Sélection du paquet libasound2-dev précédemment désélectionné.
Dépaquetage de libasound2-dev (à partir de .../libasound2-dev_1.0.22-0ubuntu7_i386.deb) ...
Sélection du paquet libaudiofile-dev précédemment désélectionné.
Dépaquetage de libaudiofile-dev (à partir de .../libaudiofile-dev_0.2.6-8ubuntu1_i386.deb) ...
Sélection du paquet libavahi-common-dev précédemment désélectionné.
Dépaquetage de libavahi-common-dev (à partir de .../libavahi-common-dev_0.6.25-1ubuntu6_i386.deb) ...
Sélection du paquet libdbus-1-dev précédemment désélectionné.
Dépaquetage de libdbus-1-dev (à partir de .../libdbus-1-dev_1.2.16-2ubuntu4_i386.deb) ...
Sélection du paquet libavahi-client-dev précédemment désélectionné.
Dépaquetage de libavahi-client-dev (à partir de .../libavahi-client-dev_0.6.25-1ubuntu6_i386.deb) ...
Sélection du paquet libcaca-dev précédemment désélectionné.
Dépaquetage de libcaca-dev (à partir de .../libcaca-dev_0.99.beta16-3_i386.deb) ...
Sélection du paquet libdirectfb-extra précédemment désélectionné.
Dépaquetage de libdirectfb-extra (à partir de .../libdirectfb-extra_1.2.8-5ubuntu2_i386.deb) ...
Sélection du paquet libfreetype6-dev précédemment désélectionné.
Dépaquetage de libfreetype6-dev (à partir de .../libfreetype6-dev_2.3.11-1ubuntu2.2_i386.deb) ...
Sélection du paquet libjpeg62-dev précédemment désélectionné.
Dépaquetage de libjpeg62-dev (à partir de .../libjpeg62-dev_6b-15ubuntu1_i386.deb) ...
Sélection du paquet libsysfs-dev précédemment désélectionné.
Dépaquetage de libsysfs-dev (à partir de .../libsysfs-dev_2.1.0-6_i386.deb) ...
Sélection du paquet libdirectfb-dev précédemment désélectionné.
Dépaquetage de libdirectfb-dev (à partir de .../libdirectfb-dev_1.2.8-5ubuntu2_i386.deb) ...
Sélection du paquet libesd0-dev précédemment désélectionné.
Dépaquetage de libesd0-dev (à partir de .../libesd0-dev_0.2.41-6ubuntu1_i386.deb) ...
Sélection du paquet libgle3 précédemment désélectionné.
Dépaquetage de libgle3 (à partir de .../libgle3_3.1.0-7_i386.deb) ...
Sélection du paquet libgle3-dev précédemment désélectionné.
Dépaquetage de libgle3-dev (à partir de .../libgle3-dev_3.1.0-7_i386.deb) ...
Sélection du paquet libglib2.0-dev précédemment désélectionné.
Dépaquetage de libglib2.0-dev (à partir de .../libglib2.0-dev_2.24.1-0ubuntu1_i386.deb) ...
Sélection du paquet libportaudio0 précédemment désélectionné.
Dépaquetage de libportaudio0 (à partir de .../libportaudio0_18.1-7.1_i386.deb) ...
Sélection du paquet libportaudio-dev précédemment désélectionné.
Dépaquetage de libportaudio-dev (à partir de .../libportaudio-dev_18.1-7.1_i386.deb) ...
Sélection du paquet libpulse-dev précédemment désélectionné.
Dépaquetage de libpulse-dev (à partir de .../libpulse-dev_1%3a0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14_i386.deb) ...
Sélection du paquet libaudio-dev précédemment désélectionné.
Dépaquetage de libaudio-dev (à partir de .../libaudio-dev_1.9.2-3_i386.deb) ...
Sélection du paquet libsdl1.2-dev précédemment désélectionné.
Dépaquetage de libsdl1.2-dev (à partir de .../libsdl1.2-dev_1.2.14-4ubuntu1.1_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Traitement des actions différées (« triggers ») pour « install-info »...
Traitement des actions différées (« triggers ») pour « doc-base »...
Processing 3 added doc-base file(s)...
Registering documents with scrollkeeper...
Paramétrage de zlib1g-dev (1:1.2.3.3.dfsg-15ubuntu1) ...
Paramétrage de libpng12-dev (1.2.42-1ubuntu2.1) ...
Paramétrage de libslang2-dev (2.2.2-2ubuntu1) ...
Paramétrage de libncurses5-dev (5.7+20090803-2ubuntu3) ...
Paramétrage de libaa1-dev (1.4p5-38build1) ...
Paramétrage de libasound2-dev (1.0.22-0ubuntu7) ...

Paramétrage de libaudiofile-dev (0.2.6-8ubuntu1) ...
Paramétrage de libavahi-common-dev (0.6.25-1ubuntu6) ...
Paramétrage de libdbus-1-dev (1.2.16-2ubuntu4) ...
Paramétrage de libavahi-client-dev (0.6.25-1ubuntu6) ...
Paramétrage de libcaca-dev (0.99.beta16-3) ...
Paramétrage de libdirectfb-extra (1.2.8-5ubuntu2) ...
Paramétrage de libfreetype6-dev (2.3.11-1ubuntu2.2) ...
Paramétrage de libjpeg62-dev (6b-15ubuntu1) ...
Paramétrage de libsysfs-dev (2.1.0-6) ...
Paramétrage de libdirectfb-dev (1.2.8-5ubuntu2) ...
Paramétrage de libesd0-dev (0.2.41-6ubuntu1) ...
Paramétrage de libgle3 (3.1.0-7) ...

Paramétrage de libgle3-dev (3.1.0-7) ...
Paramétrage de libglib2.0-dev (2.24.1-0ubuntu1) ...
Paramétrage de libportaudio0 (18.1-7.1) ...

Paramétrage de libportaudio-dev (18.1-7.1) ...
Paramétrage de libpulse-dev (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14) ...
Paramétrage de libaudio-dev (1.9.2-3) ...
Paramétrage de libsdl1.2-dev (1.2.14-4ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place
root@Pook:/home/pookye#

Hors ligne

#24 Le 24/09/2010, à 17:20

maxime75

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

Utilises la balise "Code" pour copier les lignes de commandes et leurs résultats, ce sera beaucoup plus lisible.
Sinon maintenant que les dépendances sont installées, ça marche?

Hors ligne

#25 Le 24/09/2010, à 17:35

pookye

Re : [tuto] Compiler CRRCSIM, un simulateur d'avion radio commandé

salut Maxime !!
Justement, j'ai essayé ce que tu m"as indiqué...

J'ai un souci avec la commande /configure
voir post précédent...

Hors ligne

Haut de page ↑